package com.goafanti.user.bo;

import com.fasterxml.jackson.annotation.JsonIgnore;

public class StarListBo {
	private String	uid;

	private String	engagedField;

	private String	username;

	private String	professionalTitle;

	private String	workUnit;

	private Integer	number;

	private Integer	achievementNum;

	public String getUid() {
		return uid;
	}

	public void setUid(String uid) {
		this.uid = uid;
	}

	public String getEngagedField() {
		return engagedField;
	}

	public void setEngagedField(String engagedField) {
		this.engagedField = engagedField;
	}

	public String getUsername() {
		return username;
	}

	public void setUsername(String username) {
		this.username = username;
	}

	public String getProfessionalTitle() {
		return professionalTitle;
	}

	public void setProfessionalTitle(String professionalTitle) {
		this.professionalTitle = professionalTitle;
	}

	public String getWorkUnit() {
		return workUnit;
	}

	public void setWorkUnit(String workUnit) {
		this.workUnit = workUnit;
	}

	public Integer getNumber() {
		return number;
	}

	public void setNumber(Integer number) {
		this.number = number;
	}

	@JsonIgnore
	public Integer getAchievementNum() {
		return achievementNum;
	}

	public void setAchievementNum(Integer achievementNum) {
		this.achievementNum = achievementNum;
	}

	public Integer getAchievementNums() {
		if (null == this.achievementNum) {
			return 0;
		} else {
			return this.achievementNum;
		}
	}

	public void setAchievementNums(Integer achievementNum) {
	}

}
